## python-observabilityclient 0.1.1

=== debian/changelog ===
python-observabilityclient (0.1.1-3) unstable; urgency=medium

  * Build-depends on testtools >= 2.7.2 (Closes: #1073458).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2024 09:54:52 +0200

python-observabilityclient (0.1.1-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Apr 2024 08:53:56 +0200

python-observabilityclient (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1067011)

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 18:47:23 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-observabilityclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr .pytest_cache *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest observabilityclient/tests/unit -v ; \
	done
endif

override_dh_auto_test:
	echo "Do nothing..."

## python-observabilityclient 0.3.0

=== requirements.txt ===
osc-lib>=1.0.1 # Apache-2.0
keystoneauth1>=1.0.0
cliff>=1.14.0  # Apache-2.0

=== debian/changelog ===
python-observabilityclient (0.3.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090542).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:44:54 +0100

python-observabilityclient (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:09:29 +0200

python-observabilityclient (0.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:31:47 +0200

=== debian/control ===
Source: python-observabilityclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstackclient (>= 6.3.0),
 python3-os-client-config,
 python3-osc-lib,
 python3-oslo.db,
 python3-pytest,
 python3-sqlalchemy,
 python3-stestr,
 python3-tempest,
 python3-testtools (>= 2.7.2),
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-observabilityclient
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-observabilityclient.git
Homepage: https://infrawatch.github.io/documentation/

Package: python3-observabilityclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-osc-lib,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Observability Client - Python 3.x
 observabilityclient is an OpenStackClient (OSC) plugin implementation that
 implements commands for management of Prometheus.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-observabilityclient/python-observabilityclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-observabilityclient 0.4.0

=== requirements.txt ===
osc-lib>=1.0.1 # Apache-2.0
keystoneauth1>=1.0.0 # Apache-2.0
cliff>=1.14.0 # Apache-2.0
PyYAML>5.1 # Apache-2.0

=== debian/changelog ===
python-observabilityclient (0.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:57:14 +0100

python-observabilityclient (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:42:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr .pytest_cache *.egg-info

## python-observabilityclient 1.2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=1.6.2 # Apache-2.0

=== debian/changelog ===
python-observabilityclient (1.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:16:39 +0200

python-observabilityclient (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:05:32 +0200

python-observabilityclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 11:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,15 @@
 Build-Depends-Indep:
  python3-cliff,
  python3-keystoneauth1,
- python3-openstackclient (>= 6.3.0),
- python3-os-client-config,
+ python3-openstackclient,
  python3-osc-lib,
  python3-oslo.db,
+ python3-openstacksdk,
  python3-pytest,
  python3-sqlalchemy,
  python3-stestr,
  python3-tempest,
- python3-testtools (>= 2.7.2),
+ python3-testtools,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-observabilityclient
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-observabilityclient.git

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-observabilityclient refs/tags/(\d[brc\d\.]+)

## python-observabilityclient 1.3.0

=== debian/changelog ===
python-observabilityclient (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 14:31:30 +0100
